Assign a tag to a client and create the tag if it does not exist
curl --request POST \
--url https://api.leanpay.fr/v1/public/client-properties/{clientPropertyId}/assign-tag-to-client \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"client": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"tag": {
"label": "<string>"
},
"mode": "replace"
}
'import requests
url = "https://api.leanpay.fr/v1/public/client-properties/{clientPropertyId}/assign-tag-to-client"
payload = {
"client": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" },
"tag": { "label": "<string>" },
"mode": "replace"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client: {id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
tag: {label: '<string>'},
mode: 'replace'
})
};
fetch('https://api.leanpay.fr/v1/public/client-properties/{clientPropertyId}/assign-tag-to-client', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tagId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientTagIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}client-properties
Assign a tag to a client and create the tag if it does not exist
Assign a tag to a client for a specific client property. The tag will be created if it doesn’t exist. The mode parameter determines whether to add the tag to the client existing tags or replace all client existing tags by this one.
POST
/
client-properties
/
{clientPropertyId}
/
assign-tag-to-client
Assign a tag to a client and create the tag if it does not exist
Authorizations
Path Parameters
The ID of the client property
Body
application/json
⌘I
